package macampcorp.macamp.activities;

import android.app.Activity;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.text.Html;
import android.view.View;
import android.widget.TextView;

public class SelectDifficultActivity extends AppCompatActivity {
    protected TextView mEasy;
    protected TextView mMedium;
    protected TextView mHard;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_select_difficult);

        mEasy=findViewById(R.id.tv_easy);
        mMedium=findViewById(R.id.tv_medium);
        mHard=findViewById(R.id.tv_hard);

        mEasy.setText(Html.fromHtml(getResources().getString(R.string.diff_select_easy)));
        mMedium.setText(Html.fromHtml(getResources().getString(R.string.diff_select_medium)));
        mHard.setText(Html.fromHtml(getResources().getString(R.string.diff_select_hard)));
    }

    public void onChooseEasy(View v)
    {
        HostActivity.startGame(this, true, "game_easy");
    }

    public void onChooseMedium(View v)
    {
        HostActivity.startGame(this, true, "game_medium");
    }

    public void onChooseHard(View v)
    {
        HostActivity.startGame(this, true, "game_hard");
    }

    public static void start(Activity a)
    {
        Intent i = new Intent(a, SelectDifficultActivity.class);
        a.startActivity(i);
        a.finish();
    }
}
